package cn.com.qmth.examcloud.core.oe.admin.api.response;

import cn.com.qmth.examcloud.api.commons.exchange.BaseResponse;
import cn.com.qmth.examcloud.core.oe.admin.api.bean.PagedToBeMarkExamRecordBean;
import cn.com.qmth.examcloud.core.oe.admin.api.bean.ToBeMarkExamRecordBean;

import java.util.List;

/**
 * @Description 分页获取待阅卷的考试记录响应类
 * @Author lideyin
 * @Date 2020/3/31 17:06
 * @Version 1.0
 */
public class GetPagedToBeMarkExamRecordResp extends BaseResponse {

    private static final long serialVersionUID = 9083389492759528604L;

    private Long nextId;

    /**
     * 待阅卷的考试记录集合
     */
    private List<PagedToBeMarkExamRecordBean> toBeMarkExamRecordBeanList;

    public Long getNextId() {
        return nextId;
    }

    public void setNextId(Long nextId) {
        this.nextId = nextId;
    }

    public List<PagedToBeMarkExamRecordBean> getToBeMarkExamRecordBeanList() {
        return toBeMarkExamRecordBeanList;
    }

    public void setToBeMarkExamRecordBeanList(List<PagedToBeMarkExamRecordBean> toBeMarkExamRecordBeanList) {
        this.toBeMarkExamRecordBeanList = toBeMarkExamRecordBeanList;
    }
}
