package cn.com.qmth.examcloud.core.oe.admin.api.request;

import cn.com.qmth.examcloud.api.commons.exchange.BaseRequest;
import cn.com.qmth.examcloud.core.oe.admin.api.bean.*;
import java.util.List;

/**
 * @Description 同步考试记录请求类
 * @Author lideyin
 * @Date 2019/12/20 8:47
 * @Version 1.0
 */
public class SyncExamDataReq extends BaseRequest {
	private static final long serialVersionUID = -6468655557697004398L;

	/**
	 * 考试记录实体
	 */
	private ExamRecordDataBean examRecordData;

	/**
	 * 照片处理结果实体
	 */
	private List<ExamCaptureBean> examCaptures;

	/**
	 * 同步照片处理结果实体
	 */
	private ExamSyncCaptureBean examSyncCapture;

	/**
	 * face id活体检测结果实体
	 */
	private List<ExamFaceLivenessVerifyBean> examFaceLivenessVerifies;

	/**
	 * 新活检实体
	 */
	private FaceBiopsyBean faceBiopsy;

	/**
	 * 考试记录对应的试卷结构实体
	 */
	private ExamRecordPaperStructBean examRecordPaperStruct;

	/**
	 * 考试记录作答结果实体
	 */
	private ExamRecordQuestionsBean examRecordQuestions;



	public ExamRecordDataBean getExamRecordData() {
		return examRecordData;
	}

	public void setExamRecordData(ExamRecordDataBean examRecordData) {
		this.examRecordData = examRecordData;
	}

	public List<ExamCaptureBean> getExamCaptures() {
		return examCaptures;
	}

	public void setExamCaptures(List<ExamCaptureBean> examCaptures) {
		this.examCaptures = examCaptures;
	}

	public ExamSyncCaptureBean getExamSyncCapture() {
		return examSyncCapture;
	}

	public void setExamSyncCapture(ExamSyncCaptureBean examSyncCapture) {
		this.examSyncCapture = examSyncCapture;
	}

	public List<ExamFaceLivenessVerifyBean> getExamFaceLivenessVerifies() {
		return examFaceLivenessVerifies;
	}

	public void setExamFaceLivenessVerifies(List<ExamFaceLivenessVerifyBean> examFaceLivenessVerifies) {
		this.examFaceLivenessVerifies = examFaceLivenessVerifies;
	}

	public FaceBiopsyBean getFaceBiopsy() {
		return faceBiopsy;
	}

	public void setFaceBiopsy(FaceBiopsyBean faceBiopsy) {
		this.faceBiopsy = faceBiopsy;
	}

	public ExamRecordQuestionsBean getExamRecordQuestions() {
		return examRecordQuestions;
	}

	public void setExamRecordQuestions(ExamRecordQuestionsBean examRecordQuestions) {
		this.examRecordQuestions = examRecordQuestions;
	}

	public ExamRecordPaperStructBean getExamRecordPaperStruct() {
		return examRecordPaperStruct;
	}

	public void setExamRecordPaperStruct(ExamRecordPaperStructBean examRecordPaperStruct) {
		this.examRecordPaperStruct = examRecordPaperStruct;
	}
}
